#
# spec file for package zathura
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zathura
Version:        0.3.8
Release:        lp150.1.6
Summary:        A highly customizable document viewer
License:        Zlib
Group:          Productivity/Office/Other
Url:            http://pwmt.org/projects/zathura/
Source:         http://pwmt.org/projects/zathura/download/%{name}-%{version}.tar.gz
BuildRequires:  file-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(girara-gtk3) >= 0.2.8
BuildRequires:  pkgconfig(sqlite3)
Recommends:     %{name}-lang
Recommends:     zathura-pdf-poppler-plugin
Suggests:       zathura-cb-plugin
Suggests:       zathura-djvu-plugin
Suggests:       zathura-ps-plugin
%if 0%{?suse_version} >= 1330
BuildRequires:  pkgconfig(synctex)
%endif

%description
zathura is a highly customizable and functional document viewer. It provides
a minimalistic and space saving interface as well as an easy usage that mainly
focuses on keyboard interaction.


%package devel
Summary:        Development files for zathura
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description devel
Development and Header files for package zathura

%lang_package

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export LIBDIR=%{_libdir}
make WITH_SQLITE=1 %{?_smp_mflags} COLOR=0 VERBOSE=1 SFLAGS=""

%install
%make_install LIBDIR=%{_libdir} APPDATAPREFIX=%{_datadir}/appdata COLOR=0 SFLAGS=""
%find_lang %{name} %{?no_lang_C}

%files
%doc README LICENSE AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/dbus-1/interfaces/org.pwmt.%{name}.xml
%{_mandir}/man1/%{name}.1%{ext_man}
%{_mandir}/man5/%{name}rc.5%{ext_man}

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%files lang -f %{name}.lang

%changelog
* Fri Jan 26 2018 mimi.vx@gmail.com
- update to 0.3.8
  * Fix memory leaks
  * Rework plugin initialization
* Sun Feb  5 2017 mimi.vx@gmail.com
- update to 0.3.7
  * Improved logging
  * Improve page mode toggling
  * Several fixes and improvements
  * Updated translations
* Thu Jun  2 2016 mimi.vx@gmail.com
- update to 0.3.6
  * Parallel build of manpages
  * Several fixes and improvements
* Sun Mar 20 2016 mimi.vx@gmail.com
- added libsynctex support on openSUSE:Tumbleweed
* Tue Feb 23 2016 mimi.vx@gmail.com
- update to 0.3.5
  * Build even without SyncTex
  * Children should not fork
  * Recent files support
  * Substitute home with tilde
  * Open URLs
* Sun May 10 2015 mimi.vx@gmail.com
- update to 0.3.3
- Store tmp files in only one location
- Print target selection
- Fix dual page render breakage of adjust_window
- Update translations
- Update buld system
* Wed Nov 12 2014 mimi.vx@gmail.com
- Update to upstream version 0.3.2
- resolve memory leak while reloading file
- Prevent segmentation fault when smooth zooming with mouse
- Cache thumbnails to support smooth zooming
- Check scale value correctness
- Update build system
- Update translations
* Tue Oct 28 2014 mimi.vx@gmail.com
- change library Zlib
* Mon Oct 27 2014 tchvatal@suse.com
- Disable stripping.
* Fri Oct 24 2014 mimi.vx@gmail.com
- Bump to 0.3.1
- Segmentation fault caused by bidirectional scrolling
- Add SyntaxView
* Thu Oct 23 2014 mimi.vx@gmail.com
- remove unneed deps
* Thu Oct 23 2014 mimi.vx@gmail.com
- change make comand
- add one file
* Tue Oct 21 2014 mimi.vx@gmail.com
- change minimal version of giara
* Tue Oct 21 2014 mimi.vx@gmail.com
- change extension im man page
* Tue Oct 21 2014 mimi.vx@gmail.com
- updated  last upstream version 0.3.0
  - taken from home:AndnoVember:test
  - complete changelog http://pwmt.org/projects/zathura/changelog/
* Sat May 12 2012 seiler@b1-systems.de
- removed unneed autcommented lines
- added RPM Optflags to gcc CFLAGS
- removed duplicate file listing in %%files section
- added Variable $LIBDIR=%%{_libdir} to the make install command
- replaced update-desktop-database with macros
* Wed Apr 25 2012 seiler@b1-systems.de
- initial package/commit
